<?xml version="1.0" encoding="UTF-8"?><record_update table="sp_rectangle_menu_item">
    <sp_rectangle_menu_item action="INSERT_OR_UPDATE">
        <active>true</active>
        <color>default</color>
        <condition/>
        <display_1/>
        <display_2/>
        <display_date/>
        <filter/>
        <glyph/>
        <hint/>
        <kb_article/>
        <kb_category/>
        <kb_topic/>
        <label>Facilities</label>
        <order>300</order>
        <record_script><![CDATA[var t = data;  // shortcut
var levels_to_return = 2;
var catalog = "e009c323ff031100a0a5ffffffffff37" //$sp.getPortalRecord().getValue('sc_catalog');
t.items = getCategories('NULL',0);

function getCategories(parent, level) {
  level++;
  var items = [];
  var cat = new GlideRecord('sc_category');
  if (catalog)
  	cat.addQuery('sc_catalog', catalog);
  cat.addEncodedQuery('active=true^parent=' + parent);
  cat.orderBy('title');
  cat.query();
  while (cat.next()) {
    if (canViewCategory(cat.getUniqueValue())) {
      var a = {};
      $sp.getRecordValues(a, cat, 'title,sys_id');
      a.type = 'link';
      a.href= '?id=sc_category&sys_id=' + a.sys_id;
      a.image = cat.getDisplayValue('homepage_image');
      if (level <= levels_to_return) {
        var children = getCategories(a.sys_id, level);
        if (children.length > 0)
          a.items = children;
      }

      items.push(a);
    }
  }
  return items;
}

// Does user have permission to see this category?
function canViewCategory(category_id) {
  if (!category_id)
    return true;
  categoryJS = new sn_sc.CatCategory(category_id);
  if (categoryJS.canView())
    return true;
  else
    return false;
}]]></record_script>
        <sc_cat_item/>
        <sc_category/>
        <short_description/>
        <sp_page display_value="sc_home">fe87a11147132100ba13a5554ee490b9</sp_page>
        <sp_rectangle_menu display_value="NewRocket Launchpad Menu">69730e6ddb992b0cd00f362f9d961968</sp_rectangle_menu>
        <sp_rectangle_menu_item/>
        <sys_class_name>sp_rectangle_menu_item</sys_class_name>
        <sys_created_by>admin</sys_created_by>
        <sys_created_on>2019-03-18 19:31:25</sys_created_on>
        <sys_id>757ad309db1cf740961dff78bf9619ec</sys_id>
        <sys_name>Facilities</sys_name>
        <sys_package display_value="Launchpad by NewRocket" source="x_nero_launchpad">8d46e622134c6700793df6b2e144b0f9</sys_package>
        <sys_policy/>
        <sys_scope display_value="Launchpad by NewRocket">8d46e622134c6700793df6b2e144b0f9</sys_scope>
        <sys_update_name>sp_rectangle_menu_item_757ad309db1cf740961dff78bf9619ec</sys_update_name>
        <table/>
        <type>scripted</type>
        <u_class_name/>
        <u_image/>
        <url/>
        <url_target/>
    </sp_rectangle_menu_item>
    <sys_translated_text action="delete_multiple" query="documentkey=757ad309db1cf740961dff78bf9619ec"/>
</record_update>
